Package org.zkoss.stateless.sul

## Interface IEast<I extends IAnyGroup>

- All Superinterfaces:
    `IComponent<IEast<I>>`, `IHtmlBasedComponent<IEast<I>>`, `ILayoutRegion<IEast<I>>`, `ISingleChildable<IEast<I>,​I>`, `IXulElement<IEast<I>>`

      public interface IEast<I extends IAnyGroup>
      extends ILayoutRegion<IEast<I>>, ISingleChildable<IEast<I>,​I>

  Immutable `East` component

  An east region of a border layout.

  Author:
    katherine
  See Also:
    `East`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IEast.Builder<I extends IAnyGroup>` | Builds instances of type `IEast`.
    `static class` | `IEast.Updater` | Builds an updater of type `IEast` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

    - ### Nested classes/interfaces inherited from interface org.zkoss.stateless.sul.ILayoutRegion

      `ILayoutRegion.Border`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IEast<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getCmargins()` | Returns the collapsed margins, which is a list of numbers separated by comma.
    `default java.lang.String` | `getSize()` | Returns the size of this region.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static <I extends IAnyGroup> IEast<I>` | `of​(I child)` | Return the instance with the given child.
    `static <I extends IAnyGroup> IEast<I>` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IEast<I>` | `withCmargins​(java.lang.String cmargins)` | Returns a copy of `this` immutable component with the specified `cmargins`.
    `default IEast<I>` | `withSize​(java.lang.String size)` | Returns a copy of `this` immutable component with the specified `size`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ILayoutRegion

      `getBorder, getMargins, getMaxsize, getMinsize, getTitle, isAutoscroll, isClosable, isCollapsible, isNativeScrollbar, isOpen, isSlidable, isSlide, isSplittable, withAutoscroll, withBorder, withBorder, withClosable, withCollapsible, withMargins, withMaxsize, withMinsize, withNativeScrollbar, withOpen, withSlidable, withSlide, withSplittable, withTitle`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ISingleChildable

      `getChild, withChild`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IEast<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.layout.East"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`

    - #### getSize

          @Lazy
          @Nullable
          default java.lang.String getSize()

      Returns the size of this region. This method is shortcut for `IHtmlBasedComponent.getWidth()`.

    - #### withSize

          default IEast<I> withSize​(@Nullable
                                    java.lang.String size)

      Returns a copy of `this` immutable component with the specified `size`.

      This method is shortcut for `IHtmlBasedComponent.withWidth(String)`.

      Parameters:
        `size` - The width of the component.

        Default: `null`

      Returns:
        A modified copy of the `this` object

    - #### getCmargins

          default java.lang.String getCmargins()

      Returns the collapsed margins, which is a list of numbers separated by comma.

      Default: `"0,3,3,0"`

    - #### withCmargins

          IEast<I> withCmargins​(java.lang.String cmargins)

      Returns a copy of `this` immutable component with the specified `cmargins`.

      Sets the collapsed margins for the component "0,1,2,3" that direction is "top,left,right,bottom"

      Parameters:
        `cmargins` - The collapsed margins for the component

        Default: `"0,3,3,0"`

      Returns:
        A modified copy of the `this` object

    - #### of

          static <I extends IAnyGroup> IEast<I> of​(I child)

      Return the instance with the given child.
      Parameters:
        `child` - The child from any group

    - #### ofId

          static <I extends IAnyGroup> IEast<I> ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component